# Uses of Class
org.eclipse.mat.parser.internal.util.ParserRegistry.Parser

Packages that use ParserRegistry.Parser
Package
Description
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.util
Input/output utilities for the parser component (not API).

## Uses of ParserRegistry.Parser in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal with parameters of type ParserRegistry.Parser
Modifier and Type
Method
Description
`SnapshotImpl`
SnapshotImplBuilder.`create(ParserRegistry.Parser parser, IProgressListener listener)`

## Uses of ParserRegistry.Parser in org.eclipse.mat.parser.internal.util

Subclasses of ParserRegistry.Parser in org.eclipse.mat.parser.internal.util
Modifier and Type
Class
Description
`class`
`ParserRegistry.DynamicParser`
This is not a real parser - but a place holder.
Methods in org.eclipse.mat.parser.internal.util that return ParserRegistry.Parser
Modifier and Type
Method
Description
`ParserRegistry.Parser`
ParserRegistry.`createDelegate(IConfigurationElement configElement)`
`ParserRegistry.Parser`
ParserRegistry.`lookupParser(String uniqueIdentifier)`
Methods in org.eclipse.mat.parser.internal.util that return types with arguments of type ParserRegistry.Parser
Modifier and Type
Method
Description
`Collection<ParserRegistry.Parser>`
ParserRegistry.`delegates()`
`List<ParserRegistry.Parser>`
ParserRegistry.`matchParser(String fileName)`
`List<ParserRegistry.Parser>`
ParserRegistry.`matchParser(IContentType contentType)`